
%% 1.) uniform distribution (s=2) 

ND=1;
I= index_basis (ND,3);
K=4; % polynomial order 
N=3; % tensor rank 

% basis & tensor via integration
[PHI,w] = basis(K,[2],'',[-1,1]);
T0 = tensor('TK5_ND1s2_[-1,3]_N3.mat',N,I,PHI,w,[-1,1])
[PHI,w] = basis(K,[2],'norm',[-1,1]); % normalized
T1 = tensor('TK5_ND1s2norm_[-1,3]_N3.mat',N,I,PHI,w,[-1,1])


%% 2.) 2D normal distribution (s=[1,1]), normalized over range [-3,3;-inf,inf]

ND=2;
K=3
I= index_basis (ND,K)
TK=length(I(:,1));

% construct basis & tensor  (integration)
[PHI,w] = basis(K,[1,1],'norm',[-3,3;-inf,inf])
T = tensor('TK10_ND2s1[-3,3;-inf,inf]_N3.mat',N,I,PHI,w,[-3,3;-inf,inf])
